Summary:	Tool for spliting MP3, Ogg files to tracks
Summary(pl.UTF-8):	Program do podziału plików MP3, Ogg na ścieżki
Name:		mp3splt
Version:	2.6.1
Release:	1
License:	GPL
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/mp3splt/%{name}-%{version}.tar.gz
# Source0-md5:	2a1fb548e1120a6b6dfc1dc053a774a0
URL:		http://mp3splt.sourceforge.net/
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.18.3
BuildRequires:	libmp3splt-devel >= 0.9.0
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mp3Splt is a command line utility to split MP3 and Ogg files selecting
a begin and an end time position, without decoding. It's very useful
to split large MP3/Ogg to make smaller files or to split entire albums
to obtain original tracks. If you want to split an album, you can
select split points and filenames manually or you can get them
automatically from CDDB (internet or a local file) or from .cue files.

Otherwise if you have a file created either with Mp3Wrap or AlbumWrap
you can extract tracks just in few seconds. Supports VBR MP3.

%description -l pl.UTF-8
Mp3Splt jest narzędziem do podziału plików MP3 i Ogg na ścieżki.
Działa bez potrzeby dekodowania pliku. Jest bardzo przydatny do
podziału dużych plików MP3/Ogg na mniejsze pliki lub do podziału
całego albumu w celu uzyskania poszczególnych ścieżek. W tym drugim
przypadku możliwe jest ustalenie momentów zmiany plików oraz ręczne
bądź automatyczne (pobierane z CDDB lub plików .cue) ustalanie nazw
plików.

Jeśli posiadasz plik stworzony za pomocą Mp3Wrap lub AlbumWrap, możesz
wydobyć poszczególne ścieżki w przeciągu zaledwie kilku sekund.
Program obsługuje MP3 z VBR.

%prep
%setup -q
sed -i -e 's/fr_FR/fr/;s/de_DE/de/' po/LINGUAS
mv po/fr_FR.po po/fr.po
mv po/de_DE.po po/de.po
%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -Im4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-flacsplt_symlink \
	--enable-oggsplt_symlink
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/flacsplt
%attr(755,root,root) %{_bindir}/mp3splt
%attr(755,root,root) %{_bindir}/oggsplt
%{_mandir}/man1/flacsplt.1*
%{_mandir}/man1/mp3splt.1*
%{_mandir}/man1/oggsplt.1*
%changelog
* Sun May 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mp3splt.git;a=log;h=master

* Sun May 18 2014 Jan Palus <atler@pld-linux.org> 5c0ff6e
- up to 2.6.1
- man_link patch applied upstream

* Sun Mar 23 2014 Jan Palus <jan.palus@gmail.com> fc18ec4
- move manpage linking to install-data-hook
- rel 3

* Sun Mar 23 2014 Jan Palus <jan.palus@gmail.com> 782f276
- enable flacsplt symlink
- rel 2

* Sun Mar 23 2014 Jan Palus <jan.palus@gmail.com> a415e63
- up to 2.6
- updated BRs

* Sat Mar 26 2011 Artur Frysiak <artur@frysiak.net> de0de5d
- fix locale

* Tue Mar 15 2011 Artur Frysiak <artur@frysiak.net> 75e820a
- up to 2.3a

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c535ccf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7cf061b
- converted to UTF-8

* Thu May 26 2005 adgor <adgor@pld-linux.org> 2540b70
- gcc4.patch (tx pluto)

* Thu May 26 2005 adgor <adgor@pld-linux.org> 30fd444
- Fixed conflicting types

* Thu May 05 2005 jack <jack@pld-linux.org> 28879b6
- updated to 2.1c

* Tue Jan 11 2005 Paweł Cyranek <pawel.cyranek@gmail.com> d58c4cb
- updated to 2.1b

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 2743de2
- "Ogg" and "Vorbis" unification

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 2c85aab
- "MP3" unification

* Tue Sep 28 2004 jack <jack@pld-linux.org> c766567
- updated to 2.1

* Mon Aug 30 2004 darekr <darekr@pld-linux.org> 52c9fe9
- update to 2.0e
- remove outdated mp3splt-to_read.patch

* Mon Aug 30 2004 darekr <darekr@pld-linux.org> ecd2db9
- outdated

* Thu Jan 15 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> c908970
- updated to 2.0

* Thu Jan 15 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 71a16bd
- make code gcc-2.9x compatible

* Fri Sep 19 2003 misi3k <misi3k@pld-linux.org> 081c794
- updated to 1.9

